;	This assembly language function is nothing but a simple loop which
;	is repeated lp_count times.  It acts as a time waster and is used for
;	timing write operations and other functions in the software.


	PUBLIC  _timer
	.MODEL  medium, cpp


	.CODE

_timer        PROC    lp_count:DWORD	;unsigned long int is passed by caller
	USES    ds, es	;save registers
	mov     dx,[offset lp_count];	contains low word for counter
	mov     cx,[(offset lp_count)+2];	contains high word for counter
	inc	cx;	causes outer loop to repeat appropriate number of times
again:	dec	dx;	inner loop counter
	nop;	waste time
	nop;
	nop;
	jnz	again;	continue loop if not zero
	dec	cx;	outer loop counter
	jnz	again;	continue loop if not zero
	ret;
_timer        ENDP

	end

